%define game    hydraslayer
%define hydraver 16.3

Name:           noteye
Version:        8.3
Release:        %mkrel 1
Summary:        Necklace of the Eye (NotEye) - Frontend for roguelike games
Group:          Games/Adventure
License:        GPLv3+
URL:            http://www.roguetemple.com/z/noteye
# Source archive repacked to remove Windows binaries and libraries
# rm -f $(find -name "*.dll" -o -name "*.exe" -o -name "*.bat")
Source0:        %{name}-%{version}.tar.xz
Patch0:         noteye-8.3-mga-games-install-dir-and-lua5.1.patch

BuildRequires:  icoutils
BuildRequires:  lua5.1-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(zlib)

%description
Necklace of the Eye (NotEye in short) is a frontend to modify the output
of console and libtcod roguelikes. Among many features, it lets you:
 * Show the game using ASCII, tile, isometric perspective, mini-tile, double
   mini-tile, First Person Perspective or Third Person Perspective display;
   fullscreen or windowed; and with a choice of font
 * Move your character using mouse
 * Play sound effects based on messages from the game

%package -n     %{game}
Version:        %{hydraver}
Summary:        Greek mythology-inspired roguelike game with mathematical puzzles
Group:          Games/Adventure
URL:            http://www.roguetemple.com/z/hydra/
Requires:       %{name}

%description -n %{game}
Hydra Slayer is a Roguelike game focused on one thing: slaying Hydras.
It is inspired by Greek mythology, Dungeon Crawl, MathRL seven day
roguelike, and some mathematical puzzles about brave heroes slaying
many headed beasts.

%prep
%setup -q
%autopatch -p1

%build
%setup_compile_flags
%make_build -C src

%install
%make_install -C src

# Icons
icotool -x src/noteye.ico
install -D -m644 noteye_1_48x36x24.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
icotool -x hydra/hydra.ico
install -D -m644 hydra_1_16x16x32.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{game}.png
install -D -m644 hydra_2_32x32x32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{game}.png
install -D -m644 hydra_3_48x48x32.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{game}.png

# Desktop entries
install -d %{buildroot}%{_datadir}/applications

cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Necklace of the Eye
Comment=Frontend for roguelike games
GenericName=Frontend for roguelike games
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;RolePlaying;
EOF

cat << EOF > %{buildroot}%{_datadir}/applications/%{game}.desktop
[Desktop Entry]
Name=Hydra Slayer
Comment=Greek mythology-inspired roguelike game with mathematical puzzles
GenericName=Greek mythology-inspired roguelike game with mathematical puzzles
Exec=%{game}
Icon=%{game}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;RolePlaying;
EOF

%files
%doc README.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files -n       %{game}
%doc README.md
%{_datadir}/applications/%{game}.desktop
%{_gamesbindir}/%{game}
%{_iconsdir}/hicolor/*/apps/%{game}.png


%changelog
* Sun Apr 24 2016 akien <akien> 8.3-1.mga6
+ Revision: 1005918
- Version 8.3 (16.3 for hydraslayer)
- Apply Mageia opt and link flags
- Fix config path for hydraslayer

* Mon Feb 08 2016 umeabot <umeabot> 8.1-2.mga6
+ Revision: 950673
- Mageia 6 Mass Rebuild

* Sun Nov 16 2014 akien <akien> 8.1-1.mga5
+ Revision: 797496
- imported package noteye

